import java.text.SimpleDateFormat

properties([
    parameters (
        [string(name: 'NGINX', defaultValue: 'None', description: 'Version NGINX'),
        string(name: 'MAT', defaultValue: 'None', description: 'Version MAT'),
        string(name: 'DATE', defaultValue: 'None', description: 'Fecha de instalacion'),
        string(name: 'USER', defaultValue: 'None', description: 'Usuario que lo instalo')
        ]
    )   
])

node('MAT-DEPLOYER'){


    
	def sdf = new SimpleDateFormat("dd-MM-yyyy")
	def sdfHour = new SimpleDateFormat("HH:mm")
    date = sdf.format(new Date()); 
    time = sdfHour.format(new Date());

	checkout scm
	def runner = load pwd() + '/jenkinsFunctions.groovy'
	wrap([$class: 'BuildUser']) {
            jobUserId = "${BUILD_USER_ID}"
            jobUserName = "${BUILD_USER}"
            }
    def check_installation = sh(returnStdout: true, script: 'python test2.py')

    

//	stage("Deploy Helm Chart"){
//			labelledShell label: 'Helm install', script: 'helm upgrade ' + 'test-nginx test-nginx -n soporte' + ' --install --set vnginx=' + params.NGINX + ' --set MATversion=' + params.MAT+  ' --set Date='+ date + ' --set Time=' + time + ' --set user="' + jobUserName + '"' 
//			labelledShell label: 'Helm template', script: 'helm template ' + 'test-nginx -n soporte' + ' --set vnginx=' + params.NGINX + ' --set MATversion=' + params.MAT+  ' --set Date='+ date + ' --set Time=' + time + ' --set user="' + jobUserName + '"'
		
//	}



    stage("Check Mat installation"){
        script{
            if( check_installation == perro){
                echo 'Anda bien'
            }else{
                echo 'Anda Mal'
                echo check_installation
            }
        }
    }

}

